Bug 13204 - Plugin housekeeping: Remove labs_theses.pl plugin
Summary: Plugin housekeeping: Remove labs_theses.pl plugin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 13:40 UTC by Marcel de Rooy
Modified: 2016-06-21 21:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13204: Plugin housekeeping: Remove labs_theses.pl plugin (11.63 KB, patch)
2014-11-05 14:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13204: Plugin housekeeping: Remove labs_theses.pl plugin (11.69 KB, patch)
2014-12-01 08:51 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 13204: Plugin housekeeping: Remove labs_theses.pl plugin (11.78 KB, patch)
2014-12-05 15:34 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2014-11-05 13:40:39 UTC

    
Comment 1 Marcel de Rooy 2014-11-05 14:39:17 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2014-11-05 14:41:02 UTC
Instead of a signoff, a counterpatch is welcome too :)
Comment 3 Jonathan Druart 2014-11-27 11:05:11 UTC
Paul, this plugin (labs_theses.pl) comes from BibLibre.
It uses the (non-existent) LABTHE authorised values.
Any idea if it is still used somewhere?
Comment 4 Paul Poulain 2014-11-27 13:57:41 UTC
(In reply to Jonathan Druart from comment #3)
> Paul, this plugin (labs_theses.pl) comes from BibLibre.
> It uses the (non-existent) LABTHE authorised values.
> Any idea if it is still used somewhere?

Look at in2p3 staff interface (one of BibLibre customer), if it's not here, it must be frantiq (which is no more one of our customer, I think it's a Frederic Demian one, adding him)
Comment 5 Frédéric Demians 2014-12-01 08:14:33 UTC
I haven't any customer using this plugin, and I'm not aware of any library using it. For me, this patch could be signed-off without trouble. I can dot it if necessary.
Comment 6 Marcel de Rooy 2014-12-01 08:24:51 UTC
(In reply to Frédéric Demians from comment #5)
> I haven't any customer using this plugin, and I'm not aware of any library
> using it. For me, this patch could be signed-off without trouble. I can dot
> it if necessary.

If you can, thanks.
Comment 7 Frédéric Demians 2014-12-01 08:51:38 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2014-12-01 09:11:57 UTC
I have just contacted a library who use this plugin (or at least contain the LABTHE VA).
Comment 9 Marcel de Rooy 2014-12-01 09:29:37 UTC
(In reply to Jonathan Druart from comment #8)
> I have just contacted a library who use this plugin (or at least contain the
> LABTHE VA).
Could you please provide more details on how we can proceed now?
Comment 10 Jonathan Druart 2014-12-01 09:59:44 UTC
As soon as I get an answer from the customer I will let you know :)
Comment 11 Kyle M Hall 2014-12-05 15:34:41 UTC
Created attachment 34155 [details] [review]
[PASSED QA] Bug 13204: Plugin housekeeping: Remove labs_theses.pl plugin

Passing QA, pending response from Jonathan
Comment 12 Jonathan Druart 2014-12-05 15:43:05 UTC
Please don't push this for the moment.
Comment 13 Jonathan Druart 2014-12-08 14:23:23 UTC
The plugin did the same thing as when a field is linked to a list of AV.
It's useless and can be removed.
Switch back to Passed QA.
Comment 14 Marcel de Rooy 2014-12-08 14:32:33 UTC
(In reply to Jonathan Druart from comment #13)
> The plugin did the same thing as when a field is linked to a list of AV.
> It's useless and can be removed.
> Switch back to Passed QA.

Thanks for your attention.
Comment 15 Tomás Cohen Arazi 2015-01-15 00:37:42 UTC
Patch pushed to master.

Thanks Marcel!